DBT.DEV_BROADCAST_HDR (JNA API)

com.sun.jna.platform.win32

## Class DBT.DEV_BROADCAST_HDR

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DBT.DEV_BROADCAST_HDR

- Enclosing interface:
    DBT

      @Structure.FieldOrder(value={"dbch_size","dbch_devicetype","dbch_reserved"})
      public static class DBT.DEV_BROADCAST_HDR
      extends Structure

  The Class DEV_BROADCAST_HDR.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dbch_devicetype` The dbch_devicetype.
    `int` | `dbch_reserved` The dbch_reserved.
    `int` | `dbch_size` The dbch_size.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DEV_BROADCAST_HDR()` Instantiates a new dev broadcast hdr.
    `DEV_BROADCAST_HDR(long pointer)` Instantiates a new dev broadcast hdr.
    `DEV_BROADCAST_HDR(Pointer memory)` Instantiates a new dev broadcast hdr.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dbch_size

          public int dbch_size

      The dbch_size.

    - #### dbch_devicetype

          public int dbch_devicetype

      The dbch_devicetype.

    - #### dbch_reserved

          public int dbch_reserved

      The dbch_reserved.

  - ### Constructor Detail

    - #### DEV_BROADCAST_HDR

          public DEV_BROADCAST_HDR()

      Instantiates a new dev broadcast hdr.

    - #### DEV_BROADCAST_HDR

          public DEV_BROADCAST_HDR(long pointer)

      Instantiates a new dev broadcast hdr.
      Parameters:
        `pointer` - the pointer

    - #### DEV_BROADCAST_HDR

          public DEV_BROADCAST_HDR(Pointer memory)

      Instantiates a new dev broadcast hdr.
      Parameters:
        `memory` - the memory

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.